#! /bin/sh

echo Create WiPOM Service folder
mkdir -p /home/root/wipom/bin

echo Stop software
/home/root/wipom/bin/wipom-srv s

echo Copy executable file
rm /home/root/wipom/bin/wipom-srv
cp /tmp/wipom-srv /home/root/wipom/bin/wipom-srv

echo Set permissions
chown root:root /home/root/wipom/bin/wipom-srv
chmod uog+x /home/root/wipom/bin/wipom-srv

echo Copy startup script
cp /tmp/start_qti_le /etc/init.d/start_qti_le

echo IP tables config
cp /tmp/rules.v4 /etc/iptables/rules.v4
 
echo Configure Syslog rotation

cp /tmp/syslog.conf /etc/logrotate.d/syslog.conf

/usr/sbin/logrotate /etc/logrotate.d/syslog.conf

echo Remove setup files
rm /tmp/syslog.conf
rm /tmp/start_qti_le
rm /tmp/rules.v4
rm /tmp/wipom-srv
rm /tmp/install.sh
rm /tmp/readme.txt
